#
# spec file for package lua51-luasec
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lua51-luasec
Version:        0.5.1
Release:        1.2
Summary:        A Lua binding for OpenSSL
License:        MIT
Group:          Productivity/Networking/Other
Url:            https://github.com/brunoos/luasec
Source:         https://github.com/brunoos/luasec/archive/luasec-%{version}.tar.gz
BuildRequires:  libopenssl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1220
BuildRequires:  lua51-devel
%else
BuildRequires:  lua-devel
%endif

%description
It is a binding for OpenSSL library to provide TLS/SSL communication.
It takes an already established TCP connection and creates a secure
session between the peers.

%prep
%setup -q -n luasec-luasec-%{version}

%build
make %{?_smp_mflags} linux

%install
%make_install LUAPATH=%{lua_noarchdir} LUACPATH=%{lua_archdir}

%files
%defattr(-,root,root)
%{lua_archdir}/ssl.so
%{lua_noarchdir}/ssl.lua
%{lua_noarchdir}/ssl/
%if 0%{?sles_version}
%dir %{_libdir}/lua
%dir %{_datadir}/lua
%dir %{_libdir}/lua/5.1
%dir %{_datadir}/lua/5.1
%endif

%changelog
* Sat Sep 17 2016 mailaender@opensuse.org
- update to version 0.5.1
- drop luasec-makefile.patch
* Mon Oct 20 2014 i@marguerite.su
- update version 0.5+git20140911
* Sun Feb 23 2014 i@marguerite.su
- update version 0.5.git20140223
- no longer %%optflags. -fstack-protector doesn't work.
* Fri Jun 28 2013 i@marguerite.su
- use lua51-devel for openSUSE 12.2+.
* Sat Feb 11 2012 toganm@opensuse.org
- Update to 0.4.1
  * SSL options updated --- based on OpenSSL 1.0.0d.
  * Activate SSL_MODE_RELEASE_BUFFERS by default if it is available.
  (thanks Prosody Project)
  * Enabled rpm %%optflags
  * added changes file
